###############################################################################
# Only execute commands if file was not included already
###############################################################################
if (NOT MEDIEVAL_CONFIG_CMAKE_LOADED)


###############################################################################
# Add local module path to CMAKE_MODULE_PATH
###############################################################################
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")


###############################################################################
# include user-defined configuration
###############################################################################
include (${MEDIEVAL_TOWN_SOURCE_DIR}/user.cmake)


###############################################################################
# find inVRs itself:
###############################################################################
#set (inVRs_MODULES Interaction;Navigation;Network)

find_package ( inVRs REQUIRED )
include_directories ( ${inVRs_INCLUDE_DIRS} 
 	${inVRs_INCLUDE_DIR}/irrXML
	${inVRs_INCLUDE_DIR}/inVRs/tools/libraries)
link_directories ( ${inVRs_LIBRARY_DIRS} )
add_definitions ( ${inVRs_DEFINITIONS} )


###############################################################################
# add FRAMEWORK linker flags for MAC OSX systems
###############################################################################
foreach (framework ${inVRs_FRAMEWORKS} )
	set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework ${framework}")
	set (CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} -framework ${framework}")
	set (CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -framework ${framework}")
	set (CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -framework ${framework}")
endforeach (framework ${inVRs_FRAMEWORKS} )


###############################################################################
# include platform-dependent compiler flags
###############################################################################
include (${CMAKE_SOURCE_DIR}/cmake/config_buildFlags.cmake)


###############################################################################
# Finish
###############################################################################
set (MEDIEVAL_CONFIG_CMAKE_LOADED ON)
endif (NOT MEDIEVAL_CONFIG_CMAKE_LOADED)
